curl --request POST \
--url https://api.ttapi.io/wan/api/v1/services/aigc/video-generation/video-synthesis \
--header 'Content-Type: application/json' \
--header 'TT-API-KEY: <api-key>' \
--data '
{
"model": "wan3.0-video",
"input": {
"prompt": "A peaceful landscape with gentle breeze blowing through the grass",
"media_list": [
{
"type": "reference_image",
"url": "https://example.com/reference-image.jpg"
},
{
"type": "reference_video",
"url": "https://example.com/reference-video.mp4"
},
{
"type": "reference_audio",
"url": "https://example.com/audio.mp3"
},
{
"type": "link",
"url": "https://example.com/article"
},
{
"type": "file",
"url": "https://example.com/document.pdf"
}
]
},
"parameters": {
"resolution": "720P",
"duration": 5
}
}
'{
"output": {
"task_status": "PENDING",
"task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx"
},
"request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx"
}Wan 3.0
Reference to Video
Create reference-to-video task
POST
/
wan
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
curl --request POST \
--url https://api.ttapi.io/wan/api/v1/services/aigc/video-generation/video-synthesis \
--header 'Content-Type: application/json' \
--header 'TT-API-KEY: <api-key>' \
--data '
{
"model": "wan3.0-video",
"input": {
"prompt": "A peaceful landscape with gentle breeze blowing through the grass",
"media_list": [
{
"type": "reference_image",
"url": "https://example.com/reference-image.jpg"
},
{
"type": "reference_video",
"url": "https://example.com/reference-video.mp4"
},
{
"type": "reference_audio",
"url": "https://example.com/audio.mp3"
},
{
"type": "link",
"url": "https://example.com/article"
},
{
"type": "file",
"url": "https://example.com/document.pdf"
}
]
},
"parameters": {
"resolution": "720P",
"duration": 5
}
}
'{
"output": {
"task_status": "PENDING",
"task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx"
},
"request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx"
}This is the Wan 3.0 Video Generation API reference-to-video endpoint. Generate video by uploading reference materials with types
reference_image, reference_video, or reference_audio, combined with prompt.Authorizations
Please visit TTAPI Dashboard to get your API key.
Body
application/json
Reference to video request parameters
Model name. Options:
wan3.0-video: Standard version.
Available options:
wan3.0-video Example:
"wan3.0-video"
Input basic information. Either prompt or media is required.
Show child attributes
Show child attributes
Video processing parameters.
Show child attributes
Show child attributes
Last modified on August 25, 2026